WSLAY_EVENT_SHUTDOWN_READ(3)

NAME
wslay_event_shutdown_read - Disable read operation

SYNOPSIS

#include <wslay/wslay.h>

void wslay_event_shutdown_read(wslay_event_context_ptr ctx)

DESCRIPTION

wslay_event_shutdown_read() prevents the event-based API context from reading any further data from peer.

This function may be used with wslay_event_queue_close() if the application detects error in the data received and wants to fail WebSocket connection.

SEE ALSO

wslay_event_get_read_enabled()

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa